Name:           x2golxdebindings
Version:        1.0.2.5
Release:        0.0x2go1%{?dist}
Summary:        LXDE Bindings for X2Go
%if 0%{?suse_version}
License:        GPL-2.0+
Group:          Productivity/Networking/Remote Desktop
%else
License:        GPLv2+
Group:          Applications/Communications
%endif
URL:            http://www.x2go.org/
Source0:        http://code.x2go.org/releases/source/%name/%name-%version.tar.gz
Source1:        %{name}-rpmlintrc
BuildArch: noarch
%if 0%{?suse_version}
BuildRequires: nuoveXT2-icon-theme
%else
BuildRequires: lxde-icon-theme
%endif
BuildRequires: desktop-file-utils
Requires: x2goserver >= 3.0.99.6
%if 0%{?suse_version}
Requires: nuoveXT2-icon-theme
%else
Requires: lxde-icon-theme
%endif
Requires: desktop-file-utils

# We also depend on gtk2 or gtk3 for gkt-update-icon-cache. However, there
# does not appear to be a way to specify a dependency on gtk2 or gtk3, so
# let's assume that if packages like libfm-gtk-devel are installed,
# then gtk2 or gtk3 are available.
%if 0%{?suse_version}
Requires: libfm-gtk3-3
BuildRequires: libfm-devel
%else
Requires: libfm-gtk
BuildRequires: libfm-gtk-devel
%endif

# OpenSUSE 13.2+ has a choice between primus and Mesa-libGL1. Take MESA.
#!BuildIgnore: primus

%if 0%{?el5}
# For compatibility with EPEL5
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%endif

%description
X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick

X2Go LXDE Bindings contains MIME type information for X2Go if used with
LXDE desktops.

%prep
%setup -q


%build


%install
mkdir -p %{buildroot}%{_bindir}/
install -p -m 755 x2gopcmanfm/x2gopcmanfm %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/x2go/versions/
install -p -m 644 VERSION.x2golxdebindings %{buildroot}%{_datadir}/x2go/versions/
mkdir -p %{buildroot}%{_datadir}/{applications,mime/packages}
desktop-file-install --dir %{buildroot}%{_datadir}/applications/ share/applications/x2gopcmanfm.desktop 
install -p -m 644 share/mime/packages/*.xml %{buildroot}%{_datadir}/mime/packages/
mkdir -p %{buildroot}%{_datadir}/icons/nuoveXT2/{16x16,22x22,24x24,32x32,36x36,48x48,64x64,72x72,96x96,128x128}/mimetypes/
ln -s -f ../devices/drive-removable-media.png %{buildroot}%{_datadir}/icons/nuoveXT2/22x22/mimetypes/gnome-mime-application-sshfsremovable-x2go-lxde.png
ln -s -f ../devices/drive-removable-media.png %{buildroot}%{_datadir}/icons/nuoveXT2/36x36/mimetypes/gnome-mime-application-sshfsremovable-x2go-lxde.png
ln -s -f ../devices/drive-removable-media.png %{buildroot}%{_datadir}/icons/nuoveXT2/16x16/mimetypes/gnome-mime-application-sshfsremovable-x2go-lxde.png
ln -s -f ../devices/drive-removable-media.png %{buildroot}%{_datadir}/icons/nuoveXT2/128x128/mimetypes/gnome-mime-application-sshfsremovable-x2go-lxde.png
ln -s -f ../devices/drive-removable-media.png %{buildroot}%{_datadir}/icons/nuoveXT2/64x64/mimetypes/gnome-mime-application-sshfsremovable-x2go-lxde.png
ln -s -f ../devices/drive-removable-media.png %{buildroot}%{_datadir}/icons/nuoveXT2/96x96/mimetypes/gnome-mime-application-sshfsremovable-x2go-lxde.png
ln -s -f ../devices/drive-removable-media.png %{buildroot}%{_datadir}/icons/nuoveXT2/32x32/mimetypes/gnome-mime-application-sshfsremovable-x2go-lxde.png
ln -s -f ../devices/drive-removable-media.png %{buildroot}%{_datadir}/icons/nuoveXT2/24x24/mimetypes/gnome-mime-application-sshfsremovable-x2go-lxde.png
ln -s -f ../devices/drive-removable-media.png %{buildroot}%{_datadir}/icons/nuoveXT2/48x48/mimetypes/gnome-mime-application-sshfsremovable-x2go-lxde.png
ln -s -f ../devices/drive-removable-media.png %{buildroot}%{_datadir}/icons/nuoveXT2/72x72/mimetypes/gnome-mime-application-sshfsremovable-x2go-lxde.png
%if 0%{?suse_version}
ln -s -f ../devices/media-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/22x22/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/media-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/36x36/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/media-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/16x16/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/media-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/128x128/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/media-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/64x64/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/media-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/96x96/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/media-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/32x32/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/media-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/24x24/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/media-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/48x48/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/media-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/72x72/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
%else
ln -s -f ../devices/drive-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/22x22/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/drive-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/36x36/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/drive-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/16x16/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/drive-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/128x128/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/drive-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/64x64/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/drive-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/96x96/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/drive-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/32x32/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/drive-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/24x24/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/drive-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/48x48/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
ln -s -f ../devices/drive-optical.png %{buildroot}%{_datadir}/icons/nuoveXT2/72x72/mimetypes/gnome-mime-application-sshfscdrom-x2go-lxde.png
%endif
ln -s -f ../devices/drive-harddisk.png %{buildroot}%{_datadir}/icons/nuoveXT2/22x22/mimetypes/gnome-mime-application-sshfsdisk-x2go-lxde.png
ln -s -f ../devices/drive-harddisk.png %{buildroot}%{_datadir}/icons/nuoveXT2/36x36/mimetypes/gnome-mime-application-sshfsdisk-x2go-lxde.png
ln -s -f ../devices/drive-harddisk.png %{buildroot}%{_datadir}/icons/nuoveXT2/16x16/mimetypes/gnome-mime-application-sshfsdisk-x2go-lxde.png
ln -s -f ../devices/drive-harddisk.png %{buildroot}%{_datadir}/icons/nuoveXT2/128x128/mimetypes/gnome-mime-application-sshfsdisk-x2go-lxde.png
ln -s -f ../devices/drive-harddisk.png %{buildroot}%{_datadir}/icons/nuoveXT2/64x64/mimetypes/gnome-mime-application-sshfsdisk-x2go-lxde.png
ln -s -f ../devices/drive-harddisk.png %{buildroot}%{_datadir}/icons/nuoveXT2/96x96/mimetypes/gnome-mime-application-sshfsdisk-x2go-lxde.png
ln -s -f ../devices/drive-harddisk.png %{buildroot}%{_datadir}/icons/nuoveXT2/32x32/mimetypes/gnome-mime-application-sshfsdisk-x2go-lxde.png
ln -s -f ../devices/drive-harddisk.png %{buildroot}%{_datadir}/icons/nuoveXT2/24x24/mimetypes/gnome-mime-application-sshfsdisk-x2go-lxde.png
ln -s -f ../devices/drive-harddisk.png %{buildroot}%{_datadir}/icons/nuoveXT2/48x48/mimetypes/gnome-mime-application-sshfsdisk-x2go-lxde.png
ln -s -f ../devices/drive-harddisk.png %{buildroot}%{_datadir}/icons/nuoveXT2/72x72/mimetypes/gnome-mime-application-sshfsdisk-x2go-lxde.png
mkdir -p %{buildroot}%{_datadir}/x2go/x2gofeature.d/
install -p -m 644 share/x2go/x2gofeature.d/*.features %{buildroot}%{_datadir}/x2go/x2gofeature.d/


%post
/bin/touch --no-create %{_datadir}/icons/nuoveXT2 &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/nuoveXT2 &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/nuoveXT2 &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/nuoveXT2 &>/dev/null || :


%files
%defattr(-,root,root)
%doc debian/changelog
%doc debian/copyright
%{_bindir}/
%{_datadir}/


%changelog
